Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Typedefs
log4cxx.h File Reference

## Macros
#define | LOG4CXX_LOGCHAR_IS_UNICHAR 0
#define | LOG4CXX_LOGCHAR_IS_UTF8 1
#define | LOG4CXX_LOGCHAR_IS_WCHAR 0
#define | LOG4CXX_CHAR_API 1
#define | LOG4CXX_WCHAR_T_API 1
#define | LOG4CXX_UNICHAR_API 0
#define | LOG4CXX_CFSTRING_API 0
#define | LOG4CXX_USE_GLOBAL_SCOPE_TEMPLATE 0
#define | LOG4CXX_LOGSTREAM_ADD_NOP 0
#define | LOG4CXX_EXPORT
#define | LOG4CXX_PTR_DEF(T) typedef log4cxx::helpers::ObjectPtrT<T> T##Ptr
#define | LOG4CXX_LIST_DEF(N, T) typedef std::vector<T> N

## Typedefs
typedef long long | log4cxx_int64_t
typedef log4cxx_int64_t | log4cxx_time_t
typedef int | log4cxx_status_t
typedef unsigned int | log4cxx_uint32_t

## Macro Definition Documentation

#define LOG4CXX_CFSTRING_API 0

#define LOG4CXX_CHAR_API 1

#define LOG4CXX_EXPORT

#define LOG4CXX_LIST_DEF | ( |  | N,
|  |  | T
| ) |  | typedef std::vector<T> N

#define LOG4CXX_LOGCHAR_IS_UNICHAR 0

#define LOG4CXX_LOGCHAR_IS_UTF8 1

#define LOG4CXX_LOGCHAR_IS_WCHAR 0

#define LOG4CXX_LOGSTREAM_ADD_NOP 0

#define LOG4CXX_PTR_DEF | ( |  | T | ) | typedef log4cxx::helpers::ObjectPtrT<T> T##Ptr

#define LOG4CXX_UNICHAR_API 0

#define LOG4CXX_USE_GLOBAL_SCOPE_TEMPLATE 0

#define LOG4CXX_WCHAR_T_API 1

## Typedef Documentation

typedef long long log4cxx_int64_t

typedef int log4cxx_status_t

typedef log4cxx_int64_t log4cxx_time_t

typedef unsigned int log4cxx_uint32_t